# ConsumablePokemonModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ConsumablePokemonModifier`Abstract`

#### Hierarchy (View Summary)

- ConsumableModifier
  - ConsumablePokemonModifier
    - TerrastalizeModifier
    - PokemonHpRestoreModifier
    - PokemonStatusHealModifier
    - ConsumablePokemonMoveModifier
    - PokemonAllMovePpRestoreModifier
    - PokemonNatureChangeModifier
    - PokemonLevelIncrementModifier
    - TmModifier
    - RememberMoveModifier
    - EvolutionItemModifier
    - FusePokemonModifier

- Defined in src/modifier/modifier.ts:2049

##### Index

### Constructors

constructor

### Properties

pokemonId
type

### Methods

add
apply
getPokemon
match
shouldApply

## Constructors

### constructor

- new ConsumablePokemonModifier(
  type: ModifierType ,
  pokemonId: number,
  ): ConsumablePokemonModifier

  #### Parameters

  - type: ModifierType
  - pokemonId: number

  #### Returns ConsumablePokemonModifier

  Overrides ConsumableModifier.constructor

  - Defined in src/modifier/modifier.ts:2052

## Properties

### pokemonId

pokemonId: number

- Defined in src/modifier/modifier.ts:2050

### type

type: ModifierType

Inherited from ConsumableModifier.type

- Defined in src/modifier/modifier.ts:159

## Methods

### add

- add(_modifiers: Modifier []): boolean

  #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumableModifier.add

  - Defined in src/modifier/modifier.ts:277

### `Abstract` apply

- apply(playerPokemon: PlayerPokemon , ...args: unknown[]): boolean

  Applies ConsumablePokemonModifier

  #### Parameters

  - playerPokemon: PlayerPokemon

    The `PlayerPokemon` that consumes the item

  - ...args: unknown[]

    Additional arguments passed to `ConsumablePokemonModifier.apply`

  #### Returns boolean

  Overrides ConsumableModifier.apply

  - Defined in src/modifier/modifier.ts:2073

### getPokemon

- getPokemon(): undefined | PlayerPokemon

  #### Returns undefined | PlayerPokemon

  - Defined in src/modifier/modifier.ts:2075

### match

- match(_modifier: Modifier ): boolean

  #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumableModifier.match

  - Defined in src/modifier/modifier.ts:165

### shouldApply

- shouldApply(playerPokemon?: PlayerPokemon , ..._args: unknown[]): boolean

  Checks if ConsumablePokemonModifier should be applied

  #### Parameters

  - `Optional` playerPokemon: PlayerPokemon

    The `PlayerPokemon` that consumes the item

  - ..._args: unknown[]

    N/A

  #### Returns boolean

  `true` if ConsumablePokemonModifier should be applied

  Overrides ConsumableModifier.shouldApply

  - Defined in src/modifier/modifier.ts:2064